> For the complete documentation index, see [llms.txt](https://docs.p4.software/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.p4.software/english-1/client-invoices-1.md).

# Client Invoices

## GET /client-invoices

> Returns client invoices

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"ClientInvoiceBase":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"invoiceNumber":{"type":"string","nullable":true},"clientId":{"type":"string","format":"uuid"},"startPeriod":{"type":"string","format":"date-time"},"endPeriod":{"type":"string","format":"date-time"},"postingDate":{"type":"string","format":"date-time"},"subTotal":{"type":"number","format":"double"},"total":{"type":"number","format":"double"},"dateCreated":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/client-invoices":{"get":{"tags":["ClientInvoices"],"summary":"Returns client invoices","parameters":[{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientInvoiceBase"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientInvoiceBase"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientInvoiceBase"}}}}}}}}}}
```

## GET /client-invoices/{id}

> Returns a single client invoice by id

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"ClientInvoice":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"invoiceNumber":{"type":"string","nullable":true},"clientId":{"type":"string","format":"uuid"},"startPeriod":{"type":"string","format":"date-time"},"endPeriod":{"type":"string","format":"date-time"},"postingDate":{"type":"string","format":"date-time"},"subTotal":{"type":"number","format":"double"},"total":{"type":"number","format":"double"},"dateCreated":{"type":"string","format":"date-time"},"client":{"$ref":"#/components/schemas/ClientGetList"},"fromName":{"type":"string","nullable":true},"fromAddress1":{"type":"string","nullable":true},"fromAddress2":{"type":"string","nullable":true},"fromCity":{"type":"string","nullable":true},"fromStateProvince":{"type":"string","nullable":true},"fromZipPostalCode":{"type":"string","nullable":true},"fromCountry":{"type":"string","nullable":true},"billToName":{"type":"string","nullable":true},"billToAddress1":{"type":"string","nullable":true},"billToAddress2":{"type":"string","nullable":true},"billToCity":{"type":"string","nullable":true},"billToStateProvince":{"type":"string","nullable":true},"billToZipPostalCode":{"type":"string","nullable":true},"billToCountry":{"type":"string","nullable":true},"lines":{"type":"array","items":{"$ref":"#/components/schemas/ClientInvoiceLine"},"nullable":true}},"additionalProperties":false},"ClientGetList":{"type":"object","properties":{"description":{"type":"string","nullable":true},"ssccCompanyId":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"contactPerson":{"type":"string","nullable":true},"taxId":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false},"ClientInvoiceLine":{"type":"object","properties":{"lineNumber":{"type":"integer","format":"int32"},"item":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"additionalCharges":{"type":"string","nullable":true},"rate":{"type":"number","format":"double"},"quantity":{"type":"number","format":"double"}},"additionalProperties":false}}},"paths":{"/client-invoices/{id}":{"get":{"tags":["ClientInvoices"],"summary":"Returns a single client invoice by id","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ClientInvoice"}},"application/json":{"schema":{"$ref":"#/components/schemas/ClientInvoice"}},"text/json":{"schema":{"$ref":"#/components/schemas/ClientInvoice"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```
